#!/bin/bash
# Note: it has to be bash. See the $o variable below;
# ash does not know what to do with $o-1 in the context.
#
# /opt/local/bin/OddOrEven.sh
# Or store in any "bin" directory in your $PATH.
#
# Usage: OddOrEven.sh $1
# OR
# by itself: OddOrEven.sh, and answer the prompt.
#
# Examples: OddOrEven.sh 111 # OddOrEven.sh 32
#
# # © Christian L'Écuyer, Gatineau (Qc), Canada, 2018/02/20. GPL3.
# (Alias musher0 [forum Puppy].) #
####
N=$1
if [ "$N" = "" ];then
     echo "Please type a number."
     read N
fi
o="${#N}" # ash does not know what to do with "${N:($o-1):1}" in the following.
case "${N:($o-1):1}" in
     1|3|5|7|9) echo -e "\n\t$N is an odd number.\n" ;; # If odd number.
     0|2|4|6|8) echo -e "\n\t$N is an even number.\n" ;;
esac
